<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <title>FPM: Blender</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Style-Type" content="text/css">
    <link rel="stylesheet" href="css/fpm.css" type="text/css">
    <link rel="Icon" href="im/fpm.png" type="image/png">
    <link rel="Start" title="FPM Home" href="index.html">
    <style type="text/css">.shift {
  background-color: lightblue;
}
.control {
	background-color: lightyellow;
}
.alt {
	background-color: lightgreen;
}
.shiftcontrol {
	background-color: lightcoral;
}
</style> </head>
  <body>
    <table style="width: 100%;">
      <tbody>
        <tr>
          <td class="titol" style="vertical-align: top;">
            <h1 style="text-align: center;">Blender</h1>
          </td>
        </tr>
        <tr>
          <td class="index-cap" style="vertical-align: top;">
            <h2>Índex</h2>
          </td>
        </tr>
        <tr>
          <td class="index-fons" style="vertical-align: top;">
            <ul>
              <li>General</li>
              <li>Keyboard shortcuts</li>
              <li><a href="#tutorials" class="intern">Tutorials</a></li>
              <li>Terreny / Terrain</li>
              <li>Acceleració / Acceleration</li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="general-cap" style="vertical-align: top;">
            <h2>General</h2>
          </td>
        </tr>
        <tr>
          <td class="general-fons" style="vertical-align: top;">
            <ul>
              <li><a href="https://www.blender.org/">Blender</a></li>
              <li>Usages</li>
              <ul>
                <li><a href="https://www.youtube.com/watch?v=2nzUNMTUGQE">What
                    Can You Do With Blender 3D</a></li>
                <ol>
                  <li>Modelling</li>
                  <li>Sculpting</li>
                  <li>Rigging and animation</li>
                  <li>Effects and simulations</li>
                  <li>Rendering</li>
                  <li>Concept art</li>
                  <li>Story art</li>
                  <li>Compositing and motion tracking</li>
                  <li>Video editing</li>
                  <li>Scripting</li>
                </ol>
                <li>...</li>
              </ul>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h2>Keyboard shortcuts</h2>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <table border="1">
              <tbody>
                <tr>
                  <td><br>
                  </td>
                  <td><strong>F1</strong><br>
                    online help</td>
                  <td>F2</td>
                  <td>F3</td>
                  <td>F4</td>
                  <td>F5</td>
                  <td>F6</td>
                  <td>F7</td>
                  <td>F8</td>
                  <td>F9</td>
                  <td>F10</td>
                  <td><strong>F11</strong><br>
                    view render<br>
                    <span class="control">view animation</span></td>
                  <td><strong>F12</strong><br>
                    render image<br>
                    <span class="control">render animation</span></td>
                  <td><strong>Inicio</strong><br>
                    view all in Grpah Editor<br>
                  </td>
                  <td><br>
                  </td>
                  <td><strong>Re Pág</strong><br>
                    <span class="control">workspace-</span></td>
                  <td><strong>Av Pág</strong><br>
                    <span class="control">workspace+</span></td>
                </tr>
                <tr>
                  <td><br>
                  </td>
                  <td><strong>1</strong><br>
                    subdivide to level 1</td>
                  <td><strong>2</strong><br>
                    subdivide to level 2</td>
                  <td><strong>3</strong><br>
                    subdivide to level 3</td>
                  <td><strong>4</strong><br>
                    subdivide to level 4</td>
                  <td><strong>5</strong><br>
                    subdivide to level 5</td>
                  <td>6</td>
                  <td>7</td>
                  <td>8</td>
                  <td>9</td>
                  <td>0</td>
                  <td>'</td>
                  <td>¡</td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><strong>-</strong><br>
                    zoom out</td>
                </tr>
                <tr>
                  <td><strong>Tab </strong>toggle edit mode<strong> </strong><span
                      class="shift">snap</span><br>
                    <span class="control">toggle pose mode,<br>
                      mode pie menu</span> </td>
                  <td>Q</td>
                  <td>W</td>
                  <td>E</td>
                  <td><strong>R</strong><br>
                    <u>R</u>otate,<br>
                    keyframe type<br>
                    <span class="alt">reset <u>R</u>otation</span></td>
                  <td><strong>T</strong><br>
                    <u>T</u>ools</td>
                  <td><strong>Y</strong><br>
                    Y axis (twice: local)<br>
                    <span class="shift">Y plane (twice: local) </span></td>
                  <td><strong>U</strong><br>
                    <u>U</u>V menu</td>
                  <td><strong>I</strong><br>
                    <u>I</u>nsert keyframe</td>
                  <td>O</td>
                  <td><strong>P</strong><br>
                    <span class="control"><u>P</u>arenting menu</span><br>
                    <span class="alt">un<u>P</u>arenting menu</span></td>
                  <td>`<br>
                  </td>
                  <td>+</td>
                  <td><strong>7</strong><br>
                    z view</td>
                  <td><strong>8</strong><br>
                    vertical+</td>
                  <td>9</td>
                  <td><strong>+</strong><br>
                    zoom in</td>
                </tr>
                <tr>
                  <td><br>
                  </td>
                  <td><strong>A</strong><br>
                    select <u>A</u>ll<br>
                    <span class="shift"><u>A</u>dd menu</span><br>
                    <span class="alt">unselect All</span></td>
                  <td><strong>S</strong><br>
                    <u>S</u>cale<br>
                    <span class="shift">snap pie menu</span><br>
                    <span class="alt">reset <u>S</u>cale</span></td>
                  <td><strong>D</strong><br>
                    <span class="shift"><u>D</u>uplicate</span></td>
                  <td><strong>F</strong><br>
                    change brush radius<br>
                    <span class="shift">change brush strength</span></td>
                  <td><strong>G</strong><br>
                    <u>G</u>rab to move,<br>
                    <span class="control"><u>G</u>roup channels in dope sheet</span><br>
                    <span class="alt">reset position</span></td>
                  <td><strong>H</strong><br>
                    <u>H</u>ide selected<br>
                    <span class="shift"><u>H</u>ide unselected<br>
                    </span><span class="alt">unHide all</span><span class="shift"><br>
                    </span></td>
                  <td>J</td>
                  <td>K</td>
                  <td>L</td>
                  <td>Ñ</td>
                  <td>´<br>
                  </td>
                  <td>Ç</td>
                  <td><b>4</b><br>
                    horizontal-</td>
                  <td><strong>5</strong><br>
                    ortho/perps</td>
                  <td><strong>6</strong><br>
                    horizontal+</td>
                  <td><br>
                  </td>
                </tr>
                <tr>
                  <td>&lt;<br>
                  </td>
                  <td><strong>Z</strong><br>
                    shading pie menu<br>
                    Z axis (twice: local)<br>
                    <span class="shift">Z plane (twice: local) </span></td>
                  <td><strong>X</strong><br>
                    delete<br>
                    X axis (twice: local)<br>
                    <span class="shift">X plane (twice: local) </span></td>
                  <td><strong>C</strong><br>
                    <u>C</u>reate collection<br>
                    select <u>C</u>ircle</td>
                  <td><strong>V</strong><br>
                    set keyframe handle type</td>
                  <td><strong>B</strong><br>
                    select <u>B</u>ox<br>
                    <span class="control">render region</span></td>
                  <td><strong>N</strong><br>
                    additional <u>N</u>umber settings (menu on right)</td>
                  <td><strong>M</strong><br>
                    <u>M</u>ove to collection,<br>
                    add <u>M</u>arker in timeline<br>
                    <span class="control">rename <u>M</u>arker in timeline<br>
                    </span><span class="shiftcontrol">add Modifier</span><span class="control"><br>
                    </span></td>
                  <td>,</td>
                  <td>.</td>
                  <td>-</td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><strong>1</strong><br>
                    y view</td>
                  <td><strong>2</strong><br>
                    vertical-</td>
                  <td><strong>3</strong><br>
                    x view</td>
                  <td><br>
                  </td>
                </tr>
                <tr>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><strong>space</strong><span class="shift"><br>
                    </span>play<span class="shift"><br>
                      tools</span><strong></strong><span class="control"><br>
                      max/min panel</span><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><br>
                  </td>
                  <td><strong>0</strong><br>
                    camera view</td>
                  <td><strong>.</strong><br>
                    frame selected</td>
                  <td><br>
                  </td>
                </tr>
              </tbody>
            </table>
            <br>
            <table border="1">
              <tbody>
                <tr>
                  <td><strong>left click</strong><br>
                    ...<br>
                    <span class="alt">select all keys in a keyframe</span></td>
                  <td>middle click</td>
                  <td>right click</td>
                </tr>
              </tbody>
            </table>
            Modifiers: <span class="shift">Shift</span>, <span class="control">Control</span>,
            <span class="alt">Alt</span>, <span class="shiftcontrol">Shift+Control</span></td>
        </tr>
        <tr>
          <td class="seccio-cap" style="vertical-align: top; height: 69.8333px;">
            <h2><a id="tutorials">Tutorials</a></h2>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons" style="vertical-align: top;">
            <ul>
              <li><a href="https://www.youtube.com/watch?v=MF1qEhBSfq4&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6">Blender
                  2.80 Fundamentals</a> (You Tube)
                <ol>
                  <li><a href="https://www.youtube.com/watch?v=MF1qEhBSfq4&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=2">First
                      Steps</a></li>
                  <li><a href="https://www.youtube.com/watch?v=ILqOWe3zAbk&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=3">Viewport
                      Navigation</a>
                    <ul>
                      <li>Selecció / Select
                        <ul>
                          <li>left click</li>
                          <li>Select All (A)</li>
                          <li>Unselect All (Alt+A)</li>
                          <li>Top left menu: Select</li>
                        </ul>
                      </li>
                      <li>Rotació / Rotate
                        <ul>
                          <li>Top right menu: X, Y, Z</li>
                          <li>middle click drag</li>
                        </ul>
                      </li>
                      <li>Moviment de la vista / Move view
                        <ul>
                          <li>Top right menu: hand</li>
                          <li>shift + middle click drag</li>
                          <li>frame selected
                            <ul>
                              <li>top left menu: View -&gt; Frame Selected
                                (Numpad .)</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>Zoom
                        <ul>
                          <li>Top right menu: magnifier glass</li>
                          <li>mouse wheel</li>
                          <li>Numpad + -</li>
                        </ul>
                      </li>
                      <li>Vista de càmera / Camera view
                        <ul>
                          <li>Top right menu: camera</li>
                          <li>Numpad 0</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=8XyIYRW_2xk&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=4">Interface
                      Overview</a>
                    <ul>
                      <li>bottom info</li>
                      <li>add/delete panels</li>
                      <li>maximize panel: Ctrl+space</li>
                      <li>Workspaces (Ctrl + PageUp, PageDown)</li>
                      <li>Eines / Tools
                        <ul>
                          <li>left menu</li>
                          <li>T</li>
                        </ul>
                      </li>
                      <li>Additional quick settings
                        <ul>
                          <li>right menu</li>
                          <li>N</li>
                        </ul>
                      </li>
                      <li>3D cursor
                        <ul>
                          <li>right menu (N): View -&gt; 3D Cursor</li>
                          <li>position: shift + right click</li>
                          <li>reset to origin
                            <ul>
                              <li>shift + s -&gt; Cursor to World Origin</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>Pie menus</li>
                      <li>Timeline</li>
                      <li>Properties editor (right)
                        <ul>
                          <li>tabs</li>
                        </ul>
                      </li>
                      <li>Collections</li>
                      <li>Lamp</li>
                      <li>Camera</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=hTL6AKR8YDs&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=5">Select
                      &amp; Transform</a>
                    <ul>
                      <li>Selecció / Select
                        <ul>
                          <li>Select/unselect all: A, Alt+A</li>
                          <li>Select multiple
                            <ul>
                              <li>left menu: Select Box (B), left click drag</li>
                              <li>left menu: Select Circle (C), left click drag,
                                right click</li>
                              <li>shift + right click</li>
                            </ul>
                          </li>
                          <li>Unselect multiple
                            <ul>
                              <li>left menu: Select Box, Ctrl + left click drag</li>
                              <li>B, middle click drag</li>
                              <li>C, middle click drag, right click</li>
                              <li>shift + right click</li>
                            </ul>
                          </li>
                          <li>Active object: orange</li>
                          <li>Wireframe mode</li>
                          <li>top left menu: Select</li>
                        </ul>
                      </li>
                      <li>Transformació / Transform
                        <ul>
                          <li>X, Y, Z: axis
                            <ul>
                              <li>twice: local axis</li>
                            </ul>
                          </li>
                          <li>shift+X, shift+Y, shift+Z: plane
                            <ul>
                              <li>twice: local plane</li>
                            </ul>
                          </li>
                          <li>shift+drag: more precision</li>
                          <li>cancel: right click</li>
                          <li>reset: Alt+(G,R,S)</li>
                          <li>Move
                            <ul>
                              <li>left menu: Move</li>
                              <li>G (Grab), left click to apply</li>
                            </ul>
                          </li>
                          <li>Rotate
                            <ul>
                              <li>left menu: Rotate</li>
                              <li>R</li>
                              <li>inner sphere</li>
                              <li>outer sphere:rotate around view axis</li>
                              <li>free rotation</li>
                            </ul>
                          </li>
                          <li>Scale
                            <ul>
                              <li>left menu: Scale</li>
                              <li>S</li>
                            </ul>
                          </li>
                          <li>3D cursor
                            <ul>
                              <li>left menu: Cursor, left click</li>
                              <li>shift + right click</li>
                              <li>Rotate around 3D cursor:
                                <ul>
                                  <li>top menu: Pivot Point -&gt; 3D Cursor
                                    (default is Median Point)</li>
                                </ul>
                              </li>
                              <li>Move to 3D cursor:
                                <ul>
                                  <li>top menu: Object -&gt; Snap -&gt;
                                    Selection to Cursor</li>
                                  <li>shift+S -&gt; Selection to Cursor</li>
                                </ul>
                              </li>
                              <li>reset to world origin
                                <ul>
                                  <li>shift+S -&gt; Cursor to World Origin</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>Snap
                            <ul>
                              <li>top menu: Snap</li>
                              <li>shift + Tab</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=JSAobQPRLwc&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=6">Add
                      &amp; Delete</a>
                    <ul>
                      <li>Add
                        <ul>
                          <li>top left menu: Add (shift+A)</li>
                          <li>Monkey (Suzanne)</li>
                        </ul>
                      </li>
                      <li>Delete
                        <ul>
                          <li>top left menu: Object -&gt; Deltete (no confirm)</li>
                          <li>X (confirm), delete key (no confirm)</li>
                          <li>in Edit mode, X has a richer menu</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=u_yIGGhubZs&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=7">Collections</a>
                    <ul>
                      <li>like: layers, groups</li>
                      <li>View layer:
                        <ul>
                          <li>visibility of collections is unique for each view
                            layer</li>
                        </ul>
                      </li>
                      <li>deleting collection does not delete the objects inside
                        it</li>
                      <li>Filter</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=7DNmaR7TKwU&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=8">Workspaces</a>
                    <ul>
                      <li>...</li>
                    </ul>
                  </li>
                  <li>Modeling Introduction</li>
                  <li>Creating Meshes</li>
                  <li>Objects and Edit Mode</li>
                  <li>Mesh Selection Mode</li>
                  <li>Extrude</li>
                  <li>Loop Cut</li>
                  <li>Bevel Tool</li>
                  <li>Knife tool</li>
                  <li>Intro to shading</li>
                  <li>Shading editor
                    <ul>
                      <li>Shading</li>
                      <li>drag image</li>
                      <li>make links (F)</li>
                      <li>Add (A) -&gt; Textures -&gt; Gradient Texture</li>
                      <li>Add -&gt; Color -&gt; MixRGB</li>
                      <li>unselect left connection
                        <ul>
                          <li>Ctrl+left click</li>
                        </ul>
                      </li>
                      <li>toggle mute node
                        <ul>
                          <li>M</li>
                        </ul>
                      </li>
                      <li>remove node
                        <ul>
                          <li>Delete with reconnect (Ctrl+X)</li>
                          <li>Alt+left drag</li>
                        </ul>
                      </li>
                      <li>cut connections
                        <ul>
                          <li>Links Cut tool (from left menu)</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=TMPjKVgTfYs&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=19">Intro
                      to Texturing </a>
                    <ul>
                      <li>procedural textures
                        <ul>
                          <li>Add -&gt; Textures -&gt; ...</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=Y7M-B6xnaEM&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=20">UV
                      Unwrapping</a>
                    <ul>
                      <li>workspace: Shading (or UV Editing)</li>
                      <li>Edit mode</li>
                      <li>A to select all</li>
                      <li>change Image Editor -&gt; UV Editor</li>
                      <li>drop image to Shader Editor</li>
                      <li>sync UV editor with mesh selection</li>
                      <li>top menu: UV (U)
                        <ul>
                          <li>select some edges -&gt; Mark Seam</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=_deRNqDcwRk&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=21">Procedural
                      Textures</a>
                    <ul>
                      <li>Workspace: Shading</li>
                      <li>Add -&gt; Texture</li>
                      <li>output: Fac(tor)</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=FdbnzfjoOJU&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=22">Light
                      Types</a>
                    <ul>
                      <li>Rendered Mode</li>
                      <li>Properties Editor -&gt; Light</li>
                      <li>Cycles renderer: emission</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=RDbrOpnIY7Q&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=23">Three
                      Point Lighting</a>
                    <ul>
                      <li>3 lights: key light, fill light, rim light</li>
                      <li>Add -&gt; Mesh -&gt; Monkey</li>
                      <li>right click -&gt; Shade Smooth</li>
                      <li>move existing light</li>
                      <li>duplicate: shift+D</li>
                      <li>Add -&gt; Mesh -&gt; Cube</li>
                      <li>select trim light</li>
                      <li>convert it to Spot; rotate it</li>
                      <li>...</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=zqK4m8a52U8&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=24">Render
                      Settings Introduction</a>
                    <ul>
                      <li>top menu: Render
                        <ul>
                          <li>Render Image</li>
                          <li>Render Animation</li>
                        </ul>
                      </li>
                      <li>right tabs: Render</li>
                      <li>Render Engine
                        <ul>
                          <li>Eevee
                            <ul>
                              <li>...</li>
                            </ul>
                          </li>
                          <li>Workbench</li>
                          <li>Cycles
                            <ul>
                              <li>Edit -&gt; Preferences -&gt; System -&gt;
                                CUDA, OpenCL</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=6RM-WGZvNvY&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=24">Render
                      Dimensions &amp; Metadata</a>
                    <ul>
                      <li>Render Output tab (printer icon)
                        <ul>
                          <li>Dimensions: of the render image
                            <ul>
                              <li>Render region
                                <ul>
                                  <li>View -&gt; View Regions -&gt; Render
                                    Region</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>Stereoscopy</li>
                          <li>Metadata</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=Gifto41kpJw&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=25">Render
                      Output Settings</a>
                    <ul>
                      <li>Render Output tab (printer icon)
                        <ul>
                          <li>Output
                            <ul>
                              <li>File Format</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>Render (top menu)
                        <ul>
                          <li>Render Image / Animation</li>
                          <li>View Render / Animation</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=MoOOlf-yeSg&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=26">Cycles
                      Samples</a> (accurate renderer)<a href="https://www.youtube.com/watch?v=MoOOlf-yeSg&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=26">
                    </a>
                    <ul>
                      <li>Render tab (camera back)
                        <ul>
                          <li>Render Engine: Cycles</li>
                          <li>Sampling
                            <ul>
                              <li>Render: low values vs high values</li>
                              <li>Advanced
                                <ul>
                                  <li>Seed (with clock: different at each frame)</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>View Layer tab (images)
                        <ul>
                          <li>Denoising</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=MFNurQ1AF2I&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=27">Eevee
                      Lighting</a> (fast renderer)<a href="https://www.youtube.com/watch?v=MFNurQ1AF2I&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=27">
                    </a>
                    <ul>
                      <li>Render tab (camera back)
                        <ul>
                          <li>Render Engine: Eevee</li>
                          <li>Ambient Occlusion</li>
                          <li>Bloom (glow)
                            <ul>
                              <li>Material tab
                                <ul>
                                  <li>Surface -&gt; Surface -&gt; Emission</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>Depth of Field
                            <ul>
                              <li>select camera
                                <ul>
                                  <li>Camera tab
                                    <ul>
                                      <li>Depth of Field</li>
                                      <li>Viewport Display
                                        <ul>
                                          <li>check Limits: see the focus point
                                            in 3D</li>
                                        </ul>
                                      </li>
                                    </ul>
                                  </li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>Subsurface Scattering
                            <ul>
                              <li>translucent skin effects</li>
                            </ul>
                          </li>
                          <li>Screen Space Reflections
                            <ul>
                              <li>reflection of objects into a plane</li>
                              <li>Refraction
                                <ul>
                                  <li>material: Glass BSDF</li>
                                  <li>Settings: Screen Space Refraction</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>Motion Blur
                            <ul>
                              <li>camera view</li>
                              <li>select camera</li>
                              <li>R R to rotate the camera</li>
                              <li>record button on bottom</li>
                            </ul>
                          </li>
                          <li>Volumetrics (...)
                            <ul>
                              <li>Add -&gt; Cube</li>
                              <li>Material
                                <ul>
                                  <li>Surface -&gt; Remove</li>
                                  <li>Volume -&gt; Volume Scatter</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>Hair</li>
                          <li>Shadows</li>
                          <li>Indirect Lighting
                            <ul>
                              <li>Add -&gt; Light Probe</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=-gIL6VZ-bkE&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=28">Rigging
                      Intro</a>
                    <ul>
                      <li>relationships between objects</li>
                      <li>Add -&gt; Armature</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=GS452KMVWKA&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=29">Parenting</a>
                    <ul>
                      <li>Duplicate a cube (shift + D)</li>
                      <li>first select the chile cube and then the parent one
                        (shift + left click) -&gt; last selected is yellow
                        (other is orange)</li>
                      <li>add relation:
                        <ul>
                          <li>Parent -&gt; Object (P)</li>
                        </ul>
                      </li>
                      <li>one object can have several children, but only one
                        parent</li>
                      <li>Add -&gt; Empty
                        <ul>
                          <li>can be used as a parent</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=cZ3o5tjO51s&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=30">Armatures</a>
                    (rigs, skeletons)<a href="https://www.youtube.com/watch?v=cZ3o5tjO51s&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=30">
                    </a>
                    <ul>
                      <li>Add -&gt; Armature</li>
                      <li>Pose Mode</li>
                      <li>parts: head, body, tail</li>
                      <li>...</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=fx33sPEAZEk&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=31">Copy
                      Limits Constrains</a>
                    <ul>
                      <li>Object Constraints
                        <ul>
                          <li>Add Object Constraint
                            <ul>
                              <li>Copy Location
                                <ul>
                                  <li>Target: select</li>
                                </ul>
                              </li>
                              <li>Limit Location</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>Bone Constraints
                        <ul>
                          <li>Add -&gt; Armature</li>
                          <li>Edit mode -&gt; Divide</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=aGBOu-dNZ-w&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=32">Tracking
                      Constraints</a>
                    <ul>
                      <li>Object Constraints
                        <ul>
                          <li>Add Object Constraint
                            <ul>
                              <li>Track To
                                <ul>
                                  <li>Target: Light</li>
                                </ul>
                              </li>
                              <li>Locked Track</li>
                              <li>Stretch To</li>
                              <li>Damped Track</li>
                              <li>Clamp To (target: curved object)
                                <ul>
                                  <li>object follows a curve (e.g. Bézier curve)</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>Object
                        <ul>
                          <li>Viewport Display: Axis</li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=1_LcXcNnieQ&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=33">Transform
                      Constraints</a>
                    <ul>
                      <li>Object/Bone Constraints
                        <ul>
                          <li>Add Object Constraint
                            <ul>
                              <li>Transformation
                                <ul>
                                  <li>Source: Loc, Rot, Scale -&gt; Destination:
                                    Loc, Rot, Scale</li>
                                </ul>
                              </li>
                              <li>Limit Distance</li>
                              <li>Maintain Volume</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=f2pTkW-1JkE&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=34">Character
                      Rigging</a>
                    <ul>
                      <li>Edit -&gt; Preferences -&gt; Add-ons: rigify</li>
                      <li>Add -&gt; Armature: Basic Human</li>
                      <li>Edit mode</li>
                      <li>right menu: Tool -&gt; Options: check X-Axis Mirror</li>
                      <li>...</li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=S-2v_CKmVE8&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=35">Inverse
                      Kinematics</a>
                    <ul>
                      <li>Forward kinematics (FK): parent bone influences child
                        bones</li>
                      <li>Inverse kinematics (IK): child bone influences parent
                        bones</li>
                      <li>Bone Constraints
                        <ul>
                          <li>Add Bone Constraint
                            <ul>
                              <li>Inverse Kinematics</li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=dKZrzG5r13g&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=36">Vertex
                      Groups</a>
                    <ul>
                      <li>Vertex Groups = Weights</li>
                      <li>Add -&gt; Mesh &gt; Cube
                        <ul>
                          <li>Subdivide (twice)</li>
                          <li>Resize</li>
                        </ul>
                      </li>
                      <li>Add -&gt; Armature -&gt; Single Bone
                        <ul>
                          <li>Resize to match the cube</li>
                        </ul>
                      </li>
                      <li>parent the armature to the cube object:
                        <ul>
                          <li>select the cube; shift select the armature</li>
                          <li>Ctrl + P -&gt; With Automatic Weights
                            <ul>
                              <li>will automatically create vertex groups</li>
                              <li>Pose Mode to check that moving the armature
                                deforms the cube</li>
                              <li>rename bones</li>
                              <li>to see Vertex Groups (automatically renamed as
                                the bones):
                                <ul>
                                  <li>select cube</li>
                                  <li>Object Data on right tabs</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                      <li>check weights
                        <ul>
                          <li>select cube
                            <ul>
                              <li>change to Weight Paint mode</li>
                            </ul>
                          </li>
                          <li>or select armature, shift select the mesh (cube)
                            <ul>
                              <li>change to Weight Paint mode</li>
                              <li>now you can select a bone (Ctrl + left click)
                                to see its related vertices</li>
                            </ul>
                          </li>
                          <li>paint regions with brush or any other tool (left
                            menu)
                            <ul>
                              <li>to delete influence
                                <ul>
                                  <li>right Tool menu (N)
                                    <ul>
                                      <li>Weight: 0.0 (it will paint on blue)</li>
                                      <li>Strength: 1.0 (it will replace the
                                        previous values)</li>
                                      <li>Options
                                        <ul>
                                          <li>Front Faces Only</li>
                                          <li>2D Falloff</li>
                                        </ul>
                                      </li>
                                    </ul>
                                  </li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                          <li>you can do same by selecting vertices on Edit mode
                            and Object Data -&gt; Vertex Group
                            <ul>
                              <li>Select, Deselect, Remove</li>
                            </ul>
                          </li>
                          <li>Weight Paint options
                            <ul>
                              <li>Draw</li>
                              <li>Blur</li>
                              <li>Average</li>
                              <li>Smear</li>
                              <li>Gradient</li>
                              <li>Sample Weight</li>
                            </ul>
                          </li>
                          <li>...</li>
                        </ul>
                      </li>
                      <li>other usages for Vertex Groups
                        <ul>
                          <li>Wireframe modifier
                            <ul>
                              <li>Add Monkey
                                <ul>
                                  <li>Modifiers (right tab)
                                    <ul>
                                      <li>Add Modifier: Wireframe (to convert
                                        our object into a real wireframe version
                                        of it)</li>
                                      <li>uncheck Replace Original</li>
                                    </ul>
                                  </li>
                                  <li>add a vertex group
                                    <ul>
                                      <li>Object Data -&gt; Vertex Groups -&gt;
                                        Add</li>
                                      <li>Edit mode</li>
                                      <li>select all vertice in the ear with box
                                        select tool</li>
                                    </ul>
                                  </li>
                                  <li>assign it to wireframe modifier</li>
                                </ul>
                              </li>
                            </ul>
                          </li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=MVl7FQw-x6M&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=37">Bone
                      Layers</a>
                    <ul>
                      <li>Object Data</li>
                      <li>Skeleton: Layers</li>
                      <ul>
                        <li>to assign several bones to a layer</li>
                        <ul>
                          <li>select them</li>
                          <li>Pose Mode</li>
                          <ul>
                            <li>Pose -&gt; Change Bone Layers</li>
                          </ul>
                        </ul>
                      </ul>
                      <li>Bone groups</li>
                      <ul>
                        <li>Colours</li>
                      </ul>
                    </ul>
                  </li>
                  <li><a href="https://www.youtube.com/watch?v=SZJswvw9wEs&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=38">Keyframes</a></li>
                  <ul>
                    <li>insert keyframes</li>
                    <ul>
                      <li>manually: Insert Keyframe (I)</li>
                      <li>recording: Auto Keying (record button on bottom
                        timeline)</li>
                      <ul>
                        <li>do some transformations</li>
                        <li>go to another key on timeline (e.g. 20)</li>
                        <li>do another transformation</li>
                        <li>play with play icon (space)</li>
                      </ul>
                    </ul>
                    <li>delete keyframes</li>
                  </ul>
                  <li><a href="https://www.youtube.com/watch?v=o19U-yPGdyY&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=39">Timeline</a></li>
                  <ul>
                    <li>convert a cube into a sphere</li>
                    <ul>
                      <li>Add -&gt; Cube</li>
                      <li>subdivide to level 2: ctrl + 2</li>
                      <li>context menu: Shade Smooth</li>
                    </ul>
                    <li>animate</li>
                    <ul>
                      <li>select Auto Key insertion</li>
                      <li>move the ball</li>
                      <li>move to another key frame. One of the following
                        methods:</li>
                      <ul>
                        <li>drag keyframe</li>
                        <li>type another keyframe</li>
                        <li>Alt + mouse wheel</li>
                      </ul>
                    </ul>
                    <li>play animation</li>
                    <ul>
                      <li>space</li>
                      <li>limits</li>
                      <ul>
                        <li>Start, End</li>
                      </ul>
                    </ul>
                    <li>keyframe Handle Type: Vector (for keyframes 10, 20)</li>
                    <li>slow down motion</li>
                    <ul>
                      <li>select keyframe 1</li>
                      <li>scale (S) (you can type a value for a precise scale
                        factor; e.g. 2)</li>
                    </ul>
                    <li>add markers</li>
                    <li>Playback</li>
                    <ul>
                      <li>No Sync</li>
                      <li>Frame Dropping</li>
                      <li>AV-sync</li>
                      <ul>
                        <li>add audio</li>
                        <ul>
                          <li>Video Editing workspace</li>
                          <li>drop an AV file</li>
                        </ul>
                      </ul>
                    </ul>
                  </ul>
                  <li><a href="https://www.youtube.com/watch?v=LHdh8p37yM8&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=40">Dope
                      sheet</a></li>
                  <ul>
                    <li>Animation workspace (top bar)</li>
                    <li>convert a cube to a sphere</li>
                    <li>add keyframes at 1, 10, 15, 20</li>
                    <li>Interpolation Mode: Constant</li>
                    <li>Channel</li>
                    <ul>
                      <li>Group Channel</li>
                    </ul>
                    <li>View</li>
                    <ul>
                      <li>Set Preview Range</li>
                      <li>Toggle Dope/Graph Editor (ctrl + tab)</li>
                      <li>View All (Home)</li>
                    </ul>
                  </ul>
                  <li><a href="https://www.youtube.com/watch?v=zHlln3AzeMs&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=41">Graph
                      Editor</a></li>
                  <ul>
                    <li>add usual keyframes</li>
                    <li>select all keys at keyframe at 10, 20: alt + left click</li>
                    <ul>
                      <li>Key -&gt; Handle Type: Vector</li>
                    </ul>
                    <li>select Z Location</li>
                    <li>select all (A)</li>
                    <li>Key -&gt; Interpolation Mode: Constant</li>
                    <li>curve modifiers</li>
                    <ul>
                      <li>right menu (N): Modifiers</li>
                      <li>Add Modifier: Noise</li>
                    </ul>
                  </ul>
                  <li><a href="https://www.youtube.com/watch?v=TAGWu08oWAM&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=42">SCULPT</a></li>
                  <ul>
                    <li>colours</li>
                    <ul>
                      <li>...</li>
                    </ul>
                    <li>actions</li>
                    <ul>
                      <li>action: left drag</li>
                      <li>opposite action: ctrl + left drag</li>
                      <li>smooth: shift + action</li>
                      <li>F: change brush radius</li>
                      <li>shift + F: change strength of brush</li>
                    </ul>
                  </ul>
                  <li><a href="https://www.youtube.com/watch?v=REn2dBBy2mY&amp;list=PLa1F2ddGya_-UvuAqHAksYnB0qL9yWDO6&amp;index=43">Right
                      Click Select</a></li>
                  <ul>
                    <li>...</li>
                  </ul>
                </ol>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h2>Terreny / Terrain</h2>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li>Tutorials</li>
              <ul>
                <li><a href="https://www.youtube.com/watch?v=yrMee2gcS20">Procedural
                    Landscapes in Blender 2.80</a></li>
                <li>...</li>
              </ul>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap">
            <h2>Acceleració / Acceleration</h2>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons">
            <ul>
              <li><a href="maquinari.html#nvidia" class="intern">Nvidia</a>
                <ul>
                  <li><a href="linux.html#nvidia" class="intern">Instal·lació a
                      Linux / Installation on Linux</a>
                    <ul>
                      <li>Info
                        <ul>
                          <li>Edit / Preferences / System / Cycles Render
                            Devices / CUDA</li>
                          <ul>
                            <li>Errors</li>
                            <ul>
                              <li>No compatible GPUs found for Cycles. Requires
                                NVIDIA GPU with compute capability 3.0</li>
                            </ul>
                          </ul>
                          <li><a href="https://docs.blender.org/manual/en/3.1/render/cycles/gpu_rendering.html">GPU
                              rendering</a></li>
                          <li><a href="linux.html#nvidia_cuda" class="intern">CUDA</a></li>
                          <ul>
                            <li><a href="https://blender.stackexchange.com/questions/31045/cuda-rendering-on-linux-mint-or-ubuntu-variants">CUDA
                                rendering on Linux Mint or Ubuntu variants
                                [duplicate]</a></li>
                          </ul>
                        </ul>
                      </li>
                      <li>Paquets / Packages
                        <ul>
                          <li><a href="linux.html#nvidia_cuda" class="intern">nvidia-cuda-toolkit</a></li>
                          <li>nvidia-modprobe</li>
                          <li><a href="linux.html#nvidia_drivers" class="intern">nvidia
                              drivers</a></li>
                        </ul>
                      </li>
                    </ul>
                  </li>
                </ul>
              </li>
            </ul>
          </td>
        </tr>
        <tr>
          <td class="seccio-cap" style="vertical-align: top;">
            <h2>Resources</h2>
          </td>
        </tr>
        <tr>
          <td class="seccio-fons" style="vertical-align: top;"> ... </td>
        </tr>
        <tr>
          <td class="peu" style="vertical-align: top;">
            <p style="font-size: smaller; text-align: center;">
              http://www.francescpinyol.cat/blender.html<br>
              Primera versió: / First version: 5.III.2021<br>
              Darrera modificació: 18 de novembre de 2023 / Last update: 18th
              November 2023 </p>
            <p style="text-align: center;"> <a href="http://validator.w3.org/check/referer">
                <img src="//www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
                  style="border-style: hidden;" height="31" width="88"> </a> </p>
            Cap a <a href="index.html" class="intern">casa</a> / Back <a href="index.html"
              class="intern">home</a>. </td>
        </tr>
      </tbody>
    </table>
  </body>
</html>
